Get member by id
GET
/api/v2.0/stores/{storeId}/members/{memberId}
using System.Net.Http.Headers;var client = new HttpClient();var request = new HttpRequestMessage{ Method = HttpMethod.Get, RequestUri = new Uri("https://api.diller.app/api/v2.0/stores/your-store-id/members/m_nsr714RRBEHX"), Headers = { { "Authorization", "Bearer <token>" }, },};using (var response = await client.SendAsync(request)){ response.EnsureSuccessStatusCode(); var body = await response.Content.ReadAsStringAsync(); Console.WriteLine(body);}package main
import ( "fmt" "net/http" "io")
func main() {
url := "https://api.diller.app/api/v2.0/stores/your-store-id/members/m_nsr714RRBEHX"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close() body, _ := io.ReadAll(res.Body)
fmt.Println(res) fmt.Println(string(body))
}OkHttpClient client = new OkHttpClient();
Request request = new Request.Builder() .url("https://api.diller.app/api/v2.0/stores/your-store-id/members/m_nsr714RRBEHX") .get() .addHeader("Authorization", "Bearer <token>") .build();
Response response = client.newCall(request).execute();import axios from 'axios';
const options = { method: 'GET', url: 'https://api.diller.app/api/v2.0/stores/your-store-id/members/m_nsr714RRBEHX', headers: {Authorization: 'Bearer <token>'}};
try { const { data } = await axios.request(options); console.log(data);} catch (error) { console.error(error);}const url = 'https://api.diller.app/api/v2.0/stores/your-store-id/members/m_nsr714RRBEHX';const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url https://api.diller.app/api/v2.0/stores/your-store-id/members/m_nsr714RRBEHX \ --header 'Authorization: Bearer <token>'Authorizations
Section titled “Authorizations”Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”storeId
required
string
The id of the store
Example
your-store-idmemberId
required
string
The member Id
Example
m_nsr714RRBEHXResponses
Section titled “Responses”OK
Media typeapplication/json
object
id
string
first_name
string
last_name
string
email
string
additional_identifiers
DEPRECATED: Start using the ‘Identifiers’ endpoints instead
Array<string>
identifiers
Array<object>
object
id
integer format: int32
type_id
integer format: int32
type
string
value
string
remarks
string
phone
object
country_code
required
string
number
required
string
birth_date
string format: date-time
address
object
street
string
city
string
zip_code
string
state
string
country_code
The alpha-2 code of country
string
gender
required
string
consent
object
gdpr_accepted
True if the member has accepted the GDPR. False otherwise.
boolean
save_order_history
True if member has authorized to save order history e.g. transaction details about their purchases.
boolean
receive_sms
True if the member has authorized the sending of promotional SMS. False otherwise.
boolean
receive_email
True if the member has authorized the sending of promotional Emails. False otherwise.
boolean
membership_detail
object
points
number format: double
qualification_points
number format: double
pending_points
number format: double
remaining_points
number format: double
level_title
string
next_level_title
string
next_level_points
number format: double
level_expire_date
string format: date-time
department_ids
Array<string>
segments
Array<object>
object
id
integer format: int32
text
string
type
required
string
is_visible_to_follower
boolean
is_required
boolean
value
Use value when segment type is Date or Text
string
selected_options
Use SelectedOptions when segment type is Radio, Combobox or Dropbox
Array<integer>
has_wallet_pass
boolean
Example
{ "birth_date": "2026-09-11T12:34:49", "gender": "Male", "membership_detail": { "level_expire_date": "2026-09-11T12:34:49" }, "segments": [ { "type": "Text" } ]}Bad Request
Media typeapplication/json
object
type
string
title
string
status
integer format: int32
detail
string
instance
string
errors
object
key
additional properties
Array<string>
key
additional properties
Examplegenerated
{ "type": "example", "title": "example", "status": 1, "detail": "example", "instance": "example", "errors": { "additionalProperty": [ "example" ] }}